# Git环境搭建
## 资源准备
- git服务器账号注册
- Git for Windows. https://git-scm.com/download/win, 一般选择“64-bit Git for Windows Setup”版本
- TortoiseGit. https://tortoisegit.org/download/， 需要下载安装两个软件，一个主程序的安装包，另一个为语言支持包

Git软件安装包已经在服务器准备好了，http://172.188.24.12:3000/mengfanxing/git_tutorials/releases  
![](./git_app_download.png)  
## 安装教程
### Git for Windows
打开下载好的Git应用程序开始安装：  
1. 第一个界面为许可证，直接Next
2. 安装路径，选好要安装的位置，Next   
   ![](./git_install_location.png)
3. 选择组件，没有特别需求直接Next  
   ![](./git_components.png)
4. 在开始菜单创建git文件夹  
   ![](./git_start_folder.png)  
5. 为git选择默认的文本编辑器,初始值为vim，可以选择VSCode、NotePad++等  
   ![](./git_editor.png)
6. git默认分支名称，直接Next  
   ![](./git_branch.png)
7. 把git添加到环境变量, 默认即可，Next  
   ![](./git_path_env.png)
8. 后面的全部默认Next，然后等待安装成功
   
### TortoiseGit
先安装TortoiseGit主程序  
打开下载好的“TortoiseGit-2.15.0.0-64bit.msi”：  
一路Next，根据下图所示，选择安装位置，Next，Install  
![](./TortoiseGit_install_location.png)  
安装完后，第一次打开会让你选择语言包。 不要关闭，先放到一边。  
先安装TortoiseGit 语言包  
打开“TortoiseGit-LanguagePack-2.15.0.0-64bit-zh_CN.msi”，直接下一步，等待安装完成。    
这时回到TortoiseGit，点击“Refresh”，会出来中文选项。  
一路下一页，在“配置用户信息”界面，填入用户名和邮箱，要和在公司服务器注册时保持一致。  
![](./tortoisegit_user.png)  
继续下一页，完成TortoiseGit配置。


